Name:             rmic-maven-plugin
Version:          1.1
Release:          3%{?dist}
Summary:          RMI Compiler Maven Plugin
License:          MIT
Group:            Development/Tools
URL:              http://mojo.codehaus.org/%{name}

Source0:          http://repo2.maven.org/maven2/org/codehaus/mojo/rmic-maven-plugin/%{version}/%{name}-%{version}-source-release.zip
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

BuildRequires:    asm2
BuildRequires:    groovy >= 1.5.6
BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven2 >= 2.2.1
BuildRequires:    maven-compiler-plugin >= 2.0.2
BuildRequires:    maven-install-plugin >= 2.2
BuildRequires:    maven-invoker-plugin >= 1.5
BuildRequires:    maven-jar-plugin >= 2.2
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-cobertura >= 2.2
BuildRequires:    maven-plugin-plugin >= 2.5
BuildRequires:    maven-resources-plugin >= 2.2
BuildRequires:    maven-shared-invoker >= 2.0.11
BuildRequires:    maven-surefire-maven-plugin

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         maven2 >= 2.2.1
Requires:         plexus-archiver
Requires:         plexus-compiler
Requires:         plexus-container-default
Requires:         plexus-utils

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation
Requires:         jpackage-utils
BuildArch:        noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
        -e \
        -Dmaven.test.skip=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.codehaus.mojo %{name} %{version} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc License.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc License.txt
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Mon Jul 12 2010 Chris Spike <chris.spike@arcor.de> 1.1-3
- Changed 'Source0' to match upstream source release zip-file

* Mon Jul 12 2010 Chris Spike <chris.spike@arcor.de> 1.1-2
- Skipping tests

* Fri Jul 9 2010 Chris Spike <chris.spike@arcor.de> 1.1-1
- Initial version of the package
